NTSidPrimaryGroupPrincipal (Java SE 26 & JDK 26)
Description: declaration: module: jdk.security.auth, package: com.sun.security.auth, class: NTSidPrimaryGroupPrincipal
Keywords: com.sun.security.auth.NTSidPrimaryGroupPrincipal class

# Class NTSidPrimaryGroupPrincipal

java.lang.Object
com.sun.security.auth.NTSid
com.sun.security.auth.NTSidPrimaryGroupPrincipal

All Implemented Interfaces:
  `Serializable, Principal`

public class NTSidPrimaryGroupPrincipal extends NTSid
This class extends `NTSid` and represents a Windows NT user's primary group SID.

Principals such as this `NTSidPrimaryGroupPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

Since:
  1.4
See Also:
  - `Principal`
  - `Subject`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NTSidPrimaryGroupPrincipal(String name)`
  Create an `NTSidPrimaryGroupPrincipal` with a Windows NT group SID.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Compares the specified Object with this `NTSidPrimaryGroupPrincipal` for equality.
  `String`
  `toString()`
  Return a string representation of this `NTSidPrimaryGroupPrincipal`.

  ### Methods declared in class NTSid

  `getName, hashCode`
  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return a string version of this `NTSid`.
  `int`
  `hashCode()`
  Return a hash code for this `NTSid`.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

  ### Methods declared in interface Principal

  `implies`
  Modifier and Type
  Method
  Description
  `default boolean`
  `implies(Subject subject)`
  Returns `true` if the specified subject is implied by this `Principal`.

- ## Constructor Details

  - ### NTSidPrimaryGroupPrincipal

    public NTSidPrimaryGroupPrincipal(String name)
    Create an `NTSidPrimaryGroupPrincipal` with a Windows NT group SID.
    Parameters:
      `name` - the primary Windows NT group SID for this user.
    Throws:
      `NullPointerException` - if the `name` is `null`.

- ## Method Details

  - ### toString

    public String toString()
    Return a string representation of this `NTSidPrimaryGroupPrincipal`.
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `NTSid`
    Returns:
      a string representation of this `NTSidPrimaryGroupPrincipal`.

  - ### equals

    public boolean equals(Object o)
    Compares the specified Object with this `NTSidPrimaryGroupPrincipal` for equality. Returns true if the given object is also a `NTSidPrimaryGroupPrincipal` and the two NTSidPrimaryGroupPrincipals have the same SID.
    Specified by:
      `equals` in interface `Principal`
    Overrides:
      `equals` in class `NTSid`
    Parameters:
      `o` - Object to be compared for equality with this `NTSidPrimaryGroupPrincipal`.
    Returns:
      true if the specified Object is equal to this `NTSidPrimaryGroupPrincipal`.
    See Also:
      - `Object.hashCode()`
      - `HashMap`